package com.sw.mes.sap.dto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.core.utils.DateUtil;

import lombok.Data;

/**
 * 
 */
@Data
public class MblnrDataParam {

	// 日期查询为 X 指定查询 为空
	private String ivInc;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date budatStartDate;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date budatEndDate;
	//创建/修改日期 查询开始日期
	private String ivDateF;
	//创建/修改日期 查询结束日期
	private String ivDateT;
	//创建/修改日期 查询开始时间
	private String ivTimeF;
	//创建/修改日期 查询结束时间
	private String ivTimeT;

	// 查询页码
	private int ivPage = 1;
	// 每页条目数
	private int ivPline = 300;

	// 工单
	private List<String> aufnrs = new ArrayList<String>();
	// 采购订单
	private List<String> ebelns = new ArrayList<String>();
	// 料号
	private List<String> matnrs = new ArrayList<String>();
	// 物料凭证
	private List<String> mblnrs = new ArrayList<String>();
	// 内向交货单
	private List<String> vbelns = new ArrayList<String>();
	// 工厂
	private List<String> werkss = new ArrayList<String>();
	// 过账日期 DAT 8
	private List<String> budats = new ArrayList<String>();
	// 移动类型
	private List<String> bwarts = new ArrayList<String>();
	// 物料组
	private List<String> matkls = new ArrayList<String>();
	// 物料类型
	private List<String> mtarts = new ArrayList<String>();
	
	
	public void initDate() {
		if(budatStartDate!=null) {
			this.ivDateF = DateUtil.formatDate(budatStartDate,"yyyyMMdd");
			this.ivTimeF = DateUtil.formatDate(budatStartDate,"HHmmss");
		}
		
		if(budatEndDate!=null) {
			this.ivDateT = DateUtil.formatDate(budatEndDate,"yyyyMMdd");
			this.ivTimeT = DateUtil.formatDate(budatEndDate,"HHmmss");
		}
	}
}
